[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [DONATE]

Fix in Whonix's repository: Tor no longer starts after upgrade / no Tor pid error – Testers wanted!

[html]

Whonix’s testes repository has been updated.

See Whonix APT Repository wiki page to find out how to enable Whonix’s testers repository.

This change is supposed to be soon added to Whonix’s stable repository.

Please help testing it!

Changelog:

– anon-gw-anonymizer-config: Fixed startup of Tor due to an AppArmor conflict as per bug reports in the forums https://www.whonix.org/forum/index.php/topic,559.0.html. Needed to out commented “/usr/bin/obfsproxy rix,” in file “/etc/apparmor.d/local/system_tor.anondist” because The Tor Project added “/usr/bin/obfsproxy PUx,” to file “/etc/apparmor.d/abstractions/tor”. Therefore users of obfsproxy will now end up running obfsproxy unconfined, because we would now require a standalone obfsproxy AppArmor profile. Note, that this is not a Whonix specific issue. Also if you were using plain Debian, no one redistributes an obfsproxy AppArmor profile at time of writing.


[/html]

How can I test this? Does it need obfsproxy?

Enables testers repository on Whonix-Gateway using Whonix 9.0. Then “sudo apt-get update” and “sudo apt-get dist-upgrade”.

Tested. Put back the original '“/usr/bin/obfsproxy rix,” uncommented, ran “sudo apt-get update && sudo apt-get dist-upgrade”. Fixed. :slight_smile:

@hulahoop
In the Gateway

Option 1 (Yes, automatically install updates…)
Options 2 (Whonix Testers Repository)

sudo apt-get update sudo apt-get dist-upgrade

Ah good. I already have the Whonix dev repo enabled. I will update then chime in.

Not sure if Whonxi developers repository is a good idea. Whonix developers repo could be quite unstable. Even brick a system. (Make the effort to repair it too big.) (Less likely, since I guess we’re through with the biggest packaging changes [8->9].) packages I haven’t even tested myself until I upgrade a test machine to it.

Not sure if Whonxi developers repository is a good idea. Whonix developers repo could be quite unstable.

I had already done the upgrade with the dev repo. All looking good here.

[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Investors] [Priority Support] [Professional Support]